package org.bench4q.monitor.model;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementWrapper;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name = "limitableFields")
public class LimitableFieldsModel {
	private List<String> fieldsParent;
	private List<String> fields;
	@XmlElementWrapper(name = "fieldList")
	@XmlElement(name = "field")
	public List<String> getFields() {
		return fields;
	}

	public void setFields(List<String> fields) {
		this.fields = fields;
	}

	public LimitableFieldsModel() {
		this.fields = new ArrayList<String>();
		this.fieldsParent = new ArrayList<String>();
		this.fields.add("MemoryUsedPercent");
		this.fieldsParent.add("org.bench4q.monitor.model.MemoryModel");
		this.fields.add("ProcessorTimePercent");
		this.fieldsParent.add("org.bench4q.monitor.model.ProcessorModel");
		this.fields.add("UserTimePercent");
		this.fieldsParent.add("org.bench4q.monitor.model.ProcessorModel");
		this.fields.add("PrivilegedTimePercent");
		this.fieldsParent.add("org.bench4q.monitor.model.ProcessorModel");
	}
	
	public String validname(String name){
		for (int i = 0; i < this.fields.size(); i++){
			if (name.toUpperCase().equals(fields.get(i).toUpperCase()))
				return fieldsParent.get(i);
			}
			return "";
	}
	
	public List<String> getFieldsParent() {
		return fieldsParent;
	}

	public void setFieldsParent(List<String> fieldsParent) {
		this.fieldsParent = fieldsParent;
	}
	

}
